Skip to main content

panels

Description

Optional. Defines initially opened folder and selected files/folders

Usage

panels?: [{
path: string,
selected: string[]
}]

Parameters

  • path - (required) a path to the initially opened folder. By default, the path is set to the "/" value (root folder)
  • selected - (required) an array of strings, where each string is a path to the file or folder entity that should be marked as selected; no items are selected by default

Example

import { getData, getDrive } from "./common/data";
import { Filemanager } from "@svar-ui/react-filemanager";

const panels = [
{
path: "/Code",
selected: ["/Code/Datepicker"],
},
{
path: "/",
selected: ["/Music", "/Code"],
},
];

function App() {
return (
<Filemanager
data={getData()}
drive={getDrive()}
mode="panels"
panels={panels}
/>
);
}

export default App;

Related articles: mode

panels
Description
Optional. Defines initially opened folder and selected files/foldersUsage
panels?: [{
path: string,
selected: string[]
}]
Parameters
path- (required) a path to the initially opened folder. By default, the path is set to the "/" value (root folder)selected- (required) an array of strings, where each string is a path to the file or folder entity that should be marked as selected; no items are selected by default
Example
<script setup>
import { getData, getDrive } from "./common/data";
import { Filemanager } from "@svar-ui/vue-filemanager";
const panels = [
{
path: "/Code",
selected: ["/Code/Datepicker"],
},
{
path: "/",
selected: ["/Music", "/Code"],
},
];
</script>
<template>
<Filemanager
:data="getData()"
:drive="getDrive()"
:mode="'panels'"
:panels="panels" />
</template>
Related articles: mode